%define momorel  3
%define	tgnusver 6_16_2-02
#%%define	codename quimby
%define patchdate 200306190041

%define	emacsver	21.3
%define	xemacsver	21.4
%define	emikover	1.14.1-25m
%define	e_sitedir	/usr/share/emacs/site-lisp
%define	xe_sitedir	/usr/lib/xemacs/site-lisp
%define	sitepdir	/usr/lib/xemacs/site-packages

Summary: T-gnus - a branch of Gnus (SEMI compatible) for Emacsen
Name: elisp-t-gnus
Version: 6.16.02.02
Release: %{momorel}m
License: GPL
Group: Applications/Editors
#Source0: http://www.jpl.org/ftp/pub/elisp/t-gnus-6.16/snapshots/t-gnus-%{tgnusver}-%{codename}.tar.gz
Source0: http://www.jpl.org/ftp/pub/elisp/t-gnus-6.16/snapshots/t-gnus-%{tgnusver}.tar.gz
#NoSource: 0
#Patch0: http://www.jpl.org/ftp/pub/elisp/t-gnus-6.15/snapshots/t-gnus-%{tgnusver}-%{codename}-%{patchdate}.patch.gz
Patch0: http://www.jpl.org/ftp/pub/elisp/t-gnus-6.15/snapshots/t-gnus-%{tgnusver}-%{patchdate}.patch.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
BuildPreReq: emacs >= %{emacsver}, xemacs >= %{xemacsver}, libtool
BuildPreReq: emiko-emacs >= %{emikover}, emiko-xemacs >= %{emikover}
PreReq: info
Requires: emacsen

%description
T-gnus is a variation of Gnus and SEMI-capable.
It is a replacement for Gnus with gnus-mime combination.

%package -n t-gnus-emacs
Group: Applications/Editors
Summary: T-gnus - a branch of Gnus (SEMI compatible) for Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
Requires: emiko-emacs >= %{emikover}
Provides: gnus-emacs

%description -n t-gnus-emacs
T-gnus is a variation of Gnus and SEMI-capable.
It is a replacement for Gnus with gnus-mime combination.

%package -n t-gnus-xemacs
Group: Applications/Editors
Summary: T-gnus - a branch of Gnus (SEMI compatible) for XEmacs
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: emiko-xemacs >= %{emikover}
Provides: gnus-xemacs

%description -n t-gnus-xemacs
T-gnus is a variation of Gnus and SEMI-capable.
It is a replacement for Gnus with gnus-mime combination.

%prep
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

#%%setup -q -n t-gnus-%{tgnusver}-%{codename}
%setup -q -n t-gnus-%{tgnusver}
%patch -p1

%install
%configure --with-emacs=emacs

rm -rf %{buildroot}

make EMACS=emacs \
  lispdir=%{buildroot}%{e_sitedir}/t-gnus \
  infodir=%{buildroot}%{_infodir} \
  install-ja
make EMACS=emacs \
  lispdir=%{buildroot}%{e_sitedir}/t-gnus \
  etcdir=%{buildroot}%{_datadir}/emacs/%{emacsver}/etc \
  install-etc

make distclean

%configure --with-xemacs

# why needed?
mkdir -p %{buildroot}%{sitepdir}/pkginfo

LANG=ja_JP.eucJP make EMACS=xemacs \
  PACKAGEDIR=%{buildroot}%{sitepdir} \
  install-package-ja
make EMACS=emacs \
  etcdir=%{buildroot}%{sitepdir}/etc \
  install-etc

# remove
rm -f %{buildroot}/usr/share/info/dir
rm -f %{buildroot}/usr/lib/xemacs/site-packages/info/dir

%post -n t-gnus-emacs
/sbin/install-info %{_infodir}/emacs-mime %{_infodir}/dir \
	--section="MIME Interface"

/sbin/install-info %{_infodir}/gnus %{_infodir}/dir \
	--section="Newsreader"
/sbin/install-info %{_infodir}/gnus-ja %{_infodir}/dir \
	--section="Newsreader"

/sbin/install-info %{_infodir}/message %{_infodir}/dir \
	--section="Newsreader"
/sbin/install-info %{_infodir}/message-ja %{_infodir}/dir \
	--section="Newsreader"

/sbin/install-info %{_infodir}/sieve %{_infodir}/dir \
        --section="Newsreader"

%preun -n t-gnus-emacs
if [ "$1" = 0 ]; then
   /sbin/install-info --delete %{_infodir}/emacs-mime %{_infodir}/dir

   /sbin/install-info --delete %{_infodir}/gnus %{_infodir}/dir
   /sbin/install-info --delete %{_infodir}/gnus-ja %{_infodir}/dir

   /sbin/install-info --delete %{_infodir}/message %{_infodir}/dir
   /sbin/install-info --delete %{_infodir}/message-ja %{_infodir}/dir

   /sbin/install-info --delete %{_infodir}/sieve %{_infodir}/dir
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog ChangeLog.1 ChangeLog.2 ChangeLog.3
%doc GNUS-NEWS Mule23@1934.en Mule23@1934.ja
%doc README-gnus-bbdb.en README-gnus-bbdb.ja 
%doc README-offline.en README-offline.ja
%doc README.T-gnus README.branch README.branch.ja
%doc README.semi README.semi.ja
%doc TODO.ja todo

%files -n t-gnus-emacs
%defattr(-,root,root)
%{_infodir}/emacs-mime*
%{_infodir}/gnus*
%{_infodir}/sieve*
%{_infodir}/message*
%{e_sitedir}/t-gnus
%{_datadir}/emacs/%{emacsver}/etc/*

%files -n t-gnus-xemacs
%defattr(-,root,root)
%{sitepdir}/info/emacs-mime*
%{sitepdir}/info/gnus*
%{sitepdir}/info/sieve*
%{sitepdir}/info/message*
%{sitepdir}/lisp/t-gnus
%{sitepdir}/etc/*
%{sitepdir}/pkginfo/MANIFEST.t-gnus

%changelog
* Thu Mar 18 2004 Toru Hoshina <t@momonga-linux.org>
- (6.16.02.02-3m)
- revised spec for enabling rpm 4.2.

* Sat Jul 12 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (6.16.02.02-2m)
- rebuildd against elisp-emiko-1.14.1-25m
- use %%{momorel}

* Wed Jun 25 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (6.16.02.02-1m)
- version up to 6.16.02.02
- rebuild against elisp-emiko-1.14.1-24m
- revise SOURCE0 URL ( use http )
- add sieve info file
- remove %%{codename}

* Wed Apr 23 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (6.15.19.00-1m)
- version up to 6.15.19.00

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (6.15.13.00-2m)
- rebuild against emacs-21.3
- define emikover
- update emiko version
- use %%{_datadir} macro

* Mon Jan 13 2003 Hideo TASHIRO <tashiron@momonga-linux.org>
- (6.15.13.00-1m)
- version up to 6.15.13.00
- remove NoSource: 0

* Sun Jan 12 2003 Masahiro Takahata <Takahata@momonga-linux.org>
- (6.15.11.00-1m)
- version up to 6.15.11.00

* Wed Dec 25 2002 Hideo TASHIRO <tashiron@momonga-linux.org>
- (6.15.8.05-1m)
- version up to 6.15.8.05

* Wed Oct  6 2002 Masahiro Takahata <takahata@momonga-linux.org>
- (6.15.8.03-1m)
- version update to 6.15.8.03

* Wed Aug 15 2002 Hideo TASHIRO <tashiron@momonga-linux.org>
- (6.15.8.00-2m)
- Add libtool to BuildPreReq:
- Remove README ( no exist file ) from %doc

* Wed Aug 14 2002 Hideo TASHIRO <tashiron@momonga-linux.org>
- (6.15.8.00-1m)
- version update to 6.15.8.00
- Add NoSource: 0
- Add libtool to BuildPreReq:
- Remove README ( no exist file ) from %doc 

* Tue Apr 30 2002 Kenta MURATA <muraken@kondara.org>
- (6.15.6.00-4k)
- /sbin/install-info -> info in PreReq.

* Tue Mar 19 2002 Kazuhiko <kazuhiko@kondara.org>
- (6.15.6.00-2k)
- rebuild against emacs-21.2

* Wed Nov 14 2001 Toshiro Hikita <toshi@sodan.org>
- (6.15.4.08-10k)
- install etc files
- add some macros

* Wed Nov  7 2001 Hidetomo Machi <mcHT@kondara.org>
- (6.15.4.08-8k)
- rebuild against emiko-1.14.1-18k

* Tue Oct 30 2001 Kazuhiko <kazuhiko@kondara.org>
- (6.15.4.08-6k)
- fix info related problems

* Tue Oct 30 2001 Kazuhiko <kazuhiko@kondara.org>
- (6.15.4.08-4k)
- not include %{_infodir}/dir

* Mon Oct 29 2001 Kazuhiko <kazuhiko@kondara.org>
- (6.15.4.08-2k)

* Sat Oct 27 2001 Kazuhiko <kazuhiko@kondara.org>
- (elisp-t-gnus-6.14.5.05-12k)

* Sun Oct 21 2001 Hidetomo Machi <mcHT@kondara.org>
- (6.14.5.05-10k)
- modify Requires tag

* Sat Dec 23 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (6.14.5.05-8k)
- info.bz2 to info.*

* Wed Nov 22 2000 Kenichi Matsubara <m@kondara.org>
- (6.14.5.05-4k)
- Change BuildPreReq,Requires tag.
- info.gz to info.*.

* Mon Oct 23 2000 Hidetomo Machi <mcHT@kondara.org>
- (6.14.5.05-3k)
- use %{_infodir} macro

* Wed Oct 18 2000 Toshiro Hikita <toshi@sodan.org>
- (6.14.5.05-1k)
- updated to 6.14.5.05
- imported from 6.14.1.01-1 of Vine Linux
- Adopt to Kondara Spec file guideline
- Written in UTF-8

* Fri Jan 07 2000 MATSUBAYASHI 'Shaolin' Kohji
  - 6.14.1.01-1
  - updated to 6.14.1.01

* Tue Dec 28 1999 MATSUBAYASHI 'Shaolin' Kohji
  - 6.14.0.14-1
  - updated to 6.14.0.14

* Sat Dec  4 1999 MATSUBAYASHI 'Shaolin' Kohji
  - 6.13.4.01-1
  - updated to 6.13.4.01

* Sat Nov 27 1999 MATSUBAYASHI 'Shaolin' Kohji
  - 6.13.3.06-1
  - updated to 6.13.3.06 for semi-1.13.7

* Sat Nov 27 1999 MATSUBAYASHI 'Shaolin' Kohji
  - 6.12.0-2
  - now info file is converted into EUC format
  - %post and %preun section fixed

* Tue Sep 21 1999 MATSUBAYASHI 'Shaolin' Kohji
  - 6.12.0-1
  - first rpm package for Vine 1.9
  - changed info filename from gnus-* to t-gnus-*
    (to avoid conflicts with Gnus info that comes with emacs-20.4)
